.NET

Reply
Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 1 of 4 (210 Views)

I have a line and a circle I want to get the intersection of both

210 Views, 3 Replies
07-10-2012 04:33 PM

I have defined into my code a line and a circle

How do I get the intersection between those 2?

 

I have the following code but in VS 2010 is telling me this:

 

 'Public Sub IntersectWith(entityPointer As Autodesk.AutoCAD.DatabaseServices.Entity, intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, points As Autodesk.AutoCAD.Geometry.Point3dCollection, thisGraphicSystemMarker As Long, otherGraphicSystemMarker As Long)' is obsolete: 'Use the overload taking IntPtr instead.'. 

 

 

Dim Point11 AsNewPoint3dCollection

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, 0, 0)

 

It is working but when I will switch to Autocad 2013 I have to use a different method to get the intersection?

 

Thanks

 

 



ADN Support Specialist
adam.nagy
Posts: 575
Registered: ‎03-26-2007
Message 2 of 4 (202 Views)

Re: I have a line and a circle I want to get the intersection of both

07-10-2012 07:29 PM in reply to: dancalgary

Hi there,

 

Instead of 0 you'll have to pass in IntPtr.Zero.

 

Cheers,

Adam Nagy

Autodesk Developer Network


 



Adam Nagy
Developer Technical Services
Autodesk Developer Network
Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 3 of 4 (187 Views)

Re: I have a line and a circle I want to get the intersection of both

07-11-2012 06:01 AM in reply to: adam.nagy

Can you please give me an example?

I wasn't able to find any examples about intptr

 

Thanks

Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 4 of 4 (182 Views)

Re: I have a line and a circle I want to get the intersection of both

07-11-2012 06:17 AM in reply to: dancalgary

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, IntPtr.Zero, IntPtr.Zero)

 

I find out what do you mean

Thanks

Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.